 datablock PlayerData(SharkZombie : PlayerStandardArmor)
{
		cameraVerticalOffset = 3;
	shapefile = "./SharkD.dts";
	canJet = 0;
	mass = 120;
   drag = 0.02;
   density = 0.6;
   runSurfaceAngle = 1;
   jumpSurfaceAngle = 0;
   maxForwardSpeed = 0;
   maxBackwardSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxForwardCrouchSpeed = 0;
   maxSideSpeed = 0;
   maxSideCrouchSpeed = 0;
   maxStepHeight = 0;
    maxUnderwaterSideSpeed = 0;
	showEnergyBar = false;

   minJumpSpeed = 0;
   maxJumpSpeed = 200;
	
	rideable = true;
	canRide = false;
	paintable = true;
	
   boundingBox			= vectorScale("3 3 2", 4); //"2.5 2.5 2.4";
   crouchBoundingBox	= vectorScale("3 3 2", 4); //"2.5 2.5 2.4";
   proneBoundingBox		= vectorScale("3 3 2", 4); //"2.5 2.5 2.4";

   lookUpLimit = 0.65;
	lookDownLimit = 0.45;
   upMaxSpeed = 1;
   upResistSpeed = 1;
   upResistFactor = 1;

	attackpower = 40;
	maxDamage = 500;
	//jumpForce = 40 * 90; //8.3 * 90;
	jumpForce = 100 * 90; //8.3 * 90;
	jumpsound = "";
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 20;
	uiName = "Shark";
	BrickKillRadius = 2;
	skinColor = "0 0 0 1";
	FollowAnim = "ArmReadyright";
	randomwalk = 1;
	SearchRadius = 30;
	DoNotZombify = 1;
	NoBloodyHands = 1;
	ZombieTeam = "SeaPredator";
};
function SharkZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function SharkZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}
function SharkZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function SharkZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function SharkZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	if(getrandom(0,10) == 3)
	{	
		%obj.name = "Cool Shark";
		return;
	}
	%obj.name = "Shark";
	%obj.hidenode("Shades");
	%obj.hidenode("Goat");
	schedule(15,0,sharkify,%obj);
	//nazify(%obj);
	//schedule(20,0,ghostifybot,%obj);
	//%obj.playthread(1,armreadyright);
	//%obj.setarmthread(crouch);
	
	//%obj.schedule(20,setfacename,smileyblonde);
	//%obj.schedule(20,setdecalname,"mod-suit");
}
function sharkify(%obj)
{
	%obj.setnodecolor("ALL",%obj.chestcolor);
}